## deepin-diskmanager 6.0.16

=== debian/changelog ===
deepin-diskmanager (6.0.16) unstable; urgency=medium

  * add lo language support

 -- dengzhongyuan <dengzhongyuan@uniontech.com>  Wed, 13 Aug 2025 15:18:38 +0800

deepin-diskmanager (6.0.15) unstable; urgency=medium

  * refactor: Update process names in deepin-diskmanager-authenticateProxy script

 -- wangrong <wangrong@uniontech.com>  Tue, 12 Aug 2025 15:36:14 +0800

deepin-diskmanager (6.0.14) unstable; urgency=medium

  * Update version to 6.0.14. 

 -- Tian ShiLin <tianshilin@uniontech.com>  Fri, 08 Aug 2025 14:46:39 +0800

deepin-diskmanager (6.0.13) unstable; urgency=medium

  * Update version to 6.0.13

 -- Tian ShiLin <tianshilin@uniontech.com>  Thu, 07 Aug 2025 21:10:17 +0800

deepin-diskmanager (6.0.12) unstable; urgency=medium

  * fix: Fix fail to get info from some USB device
  * fix: Fix disk interface display abnormality

 -- wangrong <wangrong@uniontech.com>  Thu, 07 Aug 2025 20:12:39 +0800

deepin-diskmanager (6.0.11) unstable; urgency=medium

  * fix: Fix incomplete retrieval of disk hardware information
  * fix: Improve disk info retrieval logic

 -- wangrong <wangrong@uniontech.com>  Thu, 31 Jul 2025 15:02:18 +0800

deepin-diskmanager (6.0.10) unstable; urgency=medium

  * fix: Fix fail to get device info

 -- wangrong <wangrong@uniontech.com>  Tue, 29 Jul 2025 19:10:31 +0800

## deepin-diskmanager 6.0.20

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0)
project(deepin-diskmanager)

find_package(Threads REQUIRED)

option(DOTEST "option for test" OFF)

# 是否开启单元测试编译
set(DOTEST OFF)

option(DOAPP "option for test app" OFF)
set(DOAPP ON)

#compile flags
if (CMAKE_BUILD_TYPE MATCHES Debug)
  set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -g -Wall -Wextra")
  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -g -Wall -Wextra")
  # Enable Qt builtin debug mode
  add_definitions("-DQT_MESSAGELOGCONTEXT")
else()
  # -Wl, -O2 Enable linker optimizations
  # -Wl, --gc-sections Remove unused code resulting from -fdsta-sections and
  # -ffunction-sections
  set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -Wall -O2")
  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wall -O2")
  set(CMAKE_EXE_LINKER_FLAGS "${CMAKE_EXE_LINKER_FLAGS} -Wl,--gc-sections")
endif()

# 添加位置无关代码和安全编译标志
set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -fstack-protector-all -fPIC")
set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fstack-protector-all -fPIE")
set(CMAKE_EXE_LINKER_FLAGS "${CMAKE_EXE_LINKER_FLAGS} -z relro -z now -z noexecstack -pie")

set(QT_VERSION_MAJOR 6)
if (${QT_VERSION_MAJOR} GREATER_EQUAL 6)
    set(DTK_VERSION 6)
endif()

# 检查内存泄漏代码
#set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -g -fsanitize=address -O2")
#set(CMAKE_C_FLAGS_DEBUG "${CMAKE_C_FLAGS_DEBUG} -fsanitize=address -O2")
#set(CMAKE_C_FLAGS_RELEASE "${CMAKE_C_FLAGS_RELEASE} -g -fsanitize=address -O2")
#set(CMAKE_C_FLAGS_MINSIZEREL "${CMAKE_C_FLAGS_MINSIZEREL} -g -fsanitize=address -O2")
#set(CMAKE_C_FLAGS_RELWITHDEBINFO "${CMAKE_C_FLAGS_RELWITHDEBINFO} -g -fsanitize=address -O2")
#set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -g -fsanitize=address -O2")
#set(CMAKE_CXX_FLAGS_DEBUG "${CMAKE_CXX_FLAGS_DEBUG} -fsanitize=address -O2")
#set(CMAKE_CXX_FLAGS_RELEASE "${CMAKE_CXX_FLAGS_RELEASE} -g -fsanitize=address -O2")
#set(CMAKE_CXX_FLAGS_MINSIZEREL "${CMAKE_CXX_FLAGS_MINSIZEREL} -g -fsanitize=address -O2")
#set(CMAKE_CXX_FLAGS_RELWITHDEBINFO "${CMAKE_CXX_FLAGS_RELWITHDEBINFO}  -g -fsanitize=address -O2")

ADD_SUBDIRECTORY(basestruct)
ADD_SUBDIRECTORY(log)
ADD_SUBDIRECTORY(application)
ADD_SUBDIRECTORY(service)

# 开启单元测试
if(DOTEST)
    if(DOAPP)
        # 添加gocv覆盖率文件的输出
#        set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -g -fprofile-arcs -ftest-coverage")
        # 设置测试模块
        set(QT Core Gui Widgets Network DBus Sql LinguistTools Svg Test)
        find_package(Qt${QT_VERSION_MAJOR} COMPONENTS ${QT} REQUIRED)
        # 添加子模块apptest
        add_subdirectory(tests)
    else()
    # 添加gocv覆盖率文件的输出
#    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -g -fprofile-arcs -ftest-coverage")
    # 设置测试模块
    set(QT Core Gui Widgets Network DBus Sql LinguistTools Svg Multimedia Test)
    find_package(Qt${QT_VERSION_MAJOR} COMPONENTS ${QT} REQUIRED)
    # 添加子模块test
    add_subdirectory(test)
    endif()
endif()

=== application/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0)
project(deepin-diskmanager)

if (NOT DEFINED VERSION)
    message(WARNING "Not defined version ,about dialog version set 1.1.0.1")
    set(VERSION 1.3.14)
endif ()


set(CMAKE_CXX_STANDARD 14)
set(CMAKE_INCLUDE_CURRENT_DIR ON)
set(CMAKE_AUTOMOC ON)#moc 预编译包含QObject文件，生成xx_moc.h cpp
set(CMAKE_AUTORCC ON)#开启rcc 编译资源文件qrc
set(CMAKE_AUTOUIC ON)#开启uic 编译转换*.ui文件生存设计界面对应的.h .cpp文件

# Find the library
find_package(PkgConfig REQUIRED)
find_package(Dtk${DTK_VERSION}Widget REQUIRED)
find_package(Dtk${DTK_VERSION}Gui REQUIRED)
#find_package(DtkCMake REQUIRED)
find_package(Qt${QT_VERSION_MAJOR} COMPONENTS
    Core
    Widgets
    DBus
    LinguistTools
    REQUIRED)

set(LINK_LIBS
    Qt${QT_VERSION_MAJOR}::Core
    Qt${QT_VERSION_MAJOR}::DBus
    Qt${QT_VERSION_MAJOR}::Widgets
    Qt${QT_VERSION_MAJOR}::WidgetsPrivate
    Dtk${DTK_VERSION}::Core
    Dtk${DTK_VERSION}::Gui
    Dtk${DTK_VERSION}::Widget
)

#common resource names
set(APP_RES_DIR "assets")
set(APP_DESKTOP "${APP_RES_DIR}/deepin-diskmanager.desktop")
set(APP_QRC "${APP_RES_DIR}/appicons.qrc")
set(APP_ICONPATH "${APP_RES_DIR}/icons/deepin-diskmanager.svg")

set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fPIE")
set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -fPIE")
set(CMAKE_EXE_LINKER_FLAGS "${CMAKE_EXE_LINKER_FLAGS} -pie")

configure_file(${APP_RES_DIR}/environments.h.in environments.h @ONLY)
#add_subdirectory("${CMAKE_CURRENT_SOURCE_DIR}/translations")
#set_directory_properties(PROPERTIES CLEAN_NO_CUSTOM 1 "${CMAKE_CURRENT_SOURCE_DIR}/translations")
#set_property(DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}/translations PROPERTY CLEAN_NO_CUSTOM  1)
set_directory_properties(PROPERTIES CLEAN_NO_CUSTOM 1 )
#lupdate start
set(TS_DIR "${CMAKE_CURRENT_SOURCE_DIR}/translations")
set(TS_FILES
    "${TS_DIR}/${PROJECT_NAME}_en_US.ts"    
)
find_program(LUPDATE_EXECUTABLE lupdate)
foreach(_ts_file ${TS_FILES})
    execute_process(
        COMMAND ${LUPDATE_EXECUTABLE} -recursive ${CMAKE_SOURCE_DIR} -ts ${_ts_file})
endforeach()
#lupdate end

file(GLOB ALL_SOURCES "*.cpp" "./partedproxy/*.cpp" "./widgets/*.cpp" "./widgets/customcontrol/*.cpp" "./widgets/accessible/*.cpp")
file(GLOB ALL_HEADERS "*.h" "./partedproxy/*.h" "./widgets/*.h" "./widgets/customcontrol/*.h" "./widgets/accessible/*.h")
file (GLOB DTNG_TS_FILES translations/*.ts)
qt_create_translation(DTNG_QM_FILES
    ${CMAKE_SOURCE_DIR}
    ${DTNG_TS_FILES}
     )


include_directories(../basestruct)
#link_directories(${PROJECT_BINARY_DIR})
set(ALL_SRCS   ${ALL_SOURCES} ${ALL_HEADERS})

# 生成执行文件
add_executable(${PROJECT_NAME} ${ALL_SRCS} ${APP_QRC}  ${DTNG_QM_FILES})

target_include_directories(${PROJECT_NAME} PUBLIC
    ${DtkWidget_INCLUDE_DIRS}
    ${Qt5Gui_PRIVATE_INCLUDE_DIRS}
    ${PROJECT_BINARY_DIR}
)

target_link_libraries(${PROJECT_NAME} ${LINK_LIBS} basestruct)

set(CMAKE_INSTALL_PREFIX /usr)

# Install files
install(TARGETS ${PROJECT_NAME} DESTINATION bin)
#file(GLOB APP_QM_FILES "translations/*.qm")
#install(FILES ${APP_QM_FILES} DESTINATION share/${PROJECT_NAME}/translations)
install(FILES ${DTNG_QM_FILES} DESTINATION share/${PROJECT_NAME}/translations)
install(FILES ${APP_ICONPATH} DESTINATION share/icons/hicolor/scalable/apps)
install(FILES ${APP_DESKTOP} DESTINATION share/applications)
install(DIRECTORY ${APP_RES_DIR}/deepin-diskmanager DESTINATION /usr/share/deepin-manual/manual-assets/application)

=== basestruct/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2022 UnionTech Software Technology Co., Ltd.
#
# SPDX-License-Identifier: GPL-3.0-only

cmake_minimum_required(VERSION 3.0)
project(basestruct)

# Find the library
find_package(PkgConfig REQUIRED)
find_package(Qt${QT_VERSION_MAJOR} COMPONENTS
    Core
    Widgets
    DBus
REQUIRED)


set(CMAKE_CXX_STANDARD 14)
set(CMAKE_INCLUDE_CURRENT_DIR ON)
set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTORCC ON)

file(GLOB BASESTRUCT_SOURCES "*.cpp")
file(GLOB BASESTRUCT_HEADERS "*.h")

set(BASESTRUCT_SRCS ${BASESTRUCT_SOURCES} ${BASESTRUCT_HEADERS} )

add_library(${PROJECT_NAME} STATIC ${BASESTRUCT_SRCS})
target_include_directories(${PROJECT_NAME} PUBLIC
    ${Qt6Gui_PRIVATE_INCLUDE_DIRS}
    ${PROJECT_BINARY_DIR}
)

target_link_libraries(${PROJECT_NAME} PRIVATE
    Qt${QT_VERSION_MAJOR}::Widgets
    Qt${QT_VERSION_MAJOR}::DBus
    Threads::Threads
)

# not install for internal use

=== log/CMakeLists.txt ===


#include_directories(${PROJECT_SOURCE_DIR}/log)

#add_library(dlmlog SHARED
#    log.cpp
#    )
#find_package(PkgConfig REQUIRED)
#find_package(DtkGui REQUIRED)
#find_package(Qt5 COMPONENTS
#    Core
#    Widgets
#    DBus
#REQUIRED)

#set(LINK_LIBS
#    Qt5::Core
#    Qt5::DBus
#    ${DtkCore_LIBRARIES}
#    parted
#    parted-fs-resize
#)


#target_link_libraries(dlmlog Qt5::Core)

#install(TARGETS dlmlog DESTINATION lib)

cmake_minimum_required(VERSION 3.0)
project(ddmlog)

# Find the library
find_package(PkgConfig REQUIRED)
find_package(Qt${QT_VERSION_MAJOR} COMPONENTS
    Core
    Widgets
    DBus
REQUIRED)


set(CMAKE_CXX_STANDARD 14)
set(CMAKE_INCLUDE_CURRENT_DIR ON)
set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTORCC ON)

set(LOG_SRCS
    log.h
    log.cpp
    )

add_library(${PROJECT_NAME} STATIC ${LOG_SRCS})
target_include_directories(${PROJECT_NAME} PUBLIC
    Qt${QT_VERSION_MAJOR}::Gui_private
    ${PROJECT_BINARY_DIR}
)

target_link_libraries(${PROJECT_NAME} PRIVATE
    Qt${QT_VERSION_MAJOR}::Widgets
    Qt${QT_VERSION_MAJOR}::DBus
)

# not install for internal use

=== debian/changelog ===
deepin-diskmanager (6.0.20) unstable; urgency=medium

  * fix: Fix fail to verify bad sectors

 -- wangrong <wangrong@uniontech.com>  Thu, 25 Sep 2025 16:25:20 +0800

deepin-diskmanager (6.0.19) unstable; urgency=medium

  * chore: Update version to 6.0.19

 -- wangrong <wangrong@uniontech.com>  Fri, 19 Sep 2025 10:31:29 +0800

deepin-diskmanager (6.0.18) unstable; urgency=medium

  * chore: Remove unnecessary static library installation

 -- wangrong <wangrong@uniontech.com>  Wed, 03 Sep 2025 10:39:09 +0800

deepin-diskmanager (6.0.17) unstable; urgency=medium

  * Update version to 6.0.17. 

 -- Tian ShiLin <tianshilin@uniontech.com>  Wed, 27 Aug 2025 15:16:31 +0800

=== debian/control ===
Source: deepin-diskmanager
Section: tools
Priority: optional
Maintainer: deepin <packages@deepin.com>
Build-Depends: debhelper (>= 11), cmake, pkg-config, libc6-dev, qt6-tools-dev, qt6-base-dev, libx11-dev, libdtk6widget-dev,qt6-tools-dev-tools,qt6-base-private-dev, libparted-dev,libparted-fs-resize0, libpolkit-qt6-1-dev, libgtest-dev, libgmock-dev
Standards-Version: 4.1.3

Package: deepin-diskmanager
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, smartmontools, exfat-fuse
Description: Disk Utility is a disk management tool for creating, reorganizing and formatting partitions.
 Disk Utility is a disk management tool for disk.

## deepin-diskmanager 6.0.22

=== CMakeLists.txt ===
--- 
+++ 
@@ -48,6 +48,11 @@
 #set(CMAKE_CXX_FLAGS_MINSIZEREL "${CMAKE_CXX_FLAGS_MINSIZEREL} -g -fsanitize=address -O2")
 #set(CMAKE_CXX_FLAGS_RELWITHDEBINFO "${CMAKE_CXX_FLAGS_RELWITHDEBINFO}  -g -fsanitize=address -O2")
 
+# Skip build rpath for reproducible release build
+if(CMAKE_BUILD_TYPE STREQUAL "Release")
+    set(CMAKE_SKIP_BUILD_RPATH TRUE)
+endif()
+
 ADD_SUBDIRECTORY(basestruct)
 ADD_SUBDIRECTORY(log)
 ADD_SUBDIRECTORY(application)

=== application/CMakeLists.txt ===
--- 
+++ 
@@ -37,7 +37,7 @@
 
 #common resource names
 set(APP_RES_DIR "assets")
-set(APP_DESKTOP "${APP_RES_DIR}/deepin-diskmanager.desktop")
+set(APP_DESKTOP "deepin-diskmanager.desktop")
 set(APP_QRC "${APP_RES_DIR}/appicons.qrc")
 set(APP_ICONPATH "${APP_RES_DIR}/icons/deepin-diskmanager.svg")
 
@@ -88,13 +88,20 @@
 
 set(CMAKE_INSTALL_PREFIX /usr)
 
+find_program(DESKTOP_TS_CONV deepin-desktop-ts-convert REQUIRED)
+add_custom_target(APP_DESKTOP
+    ALL
+    COMMAND ${DESKTOP_TS_CONV} ts2desktop ${CMAKE_CURRENT_SOURCE_DIR}/assets/${APP_DESKTOP} ${CMAKE_CURRENT_SOURCE_DIR}/translations/desktop ${APP_DESKTOP}.tmp
+    COMMAND mv ${APP_DESKTOP}.tmp ${APP_DESKTOP}
+)
+
 # Install files
 install(TARGETS ${PROJECT_NAME} DESTINATION bin)
 #file(GLOB APP_QM_FILES "translations/*.qm")
 #install(FILES ${APP_QM_FILES} DESTINATION share/${PROJECT_NAME}/translations)
 install(FILES ${DTNG_QM_FILES} DESTINATION share/${PROJECT_NAME}/translations)
 install(FILES ${APP_ICONPATH} DESTINATION share/icons/hicolor/scalable/apps)
-install(FILES ${APP_DESKTOP} DESTINATION share/applications)
+install(FILES ${CMAKE_CURRENT_BINARY_DIR}/${APP_DESKTOP} DESTINATION share/applications)
 install(DIRECTORY ${APP_RES_DIR}/deepin-diskmanager DESTINATION /usr/share/deepin-manual/manual-assets/application)

=== service/CMakeLists.txt ===

cmake_minimum_required(VERSION 3.0)
project(deepin-diskmanager-service)


set(CMAKE_CXX_STANDARD 14)
set(CMAKE_INCLUDE_CURRENT_DIR ON)
set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTORCC ON)


set(APP_RES_DIR "assets")
set(APP_SERVICE "${APP_RES_DIR}/data/com.deepin.diskmanager.service")
set(SYSTEMD_SERVICE "${APP_RES_DIR}/data/diskmanager-daemon.service")
set(APP_CONFIG "${APP_RES_DIR}/data/com.deepin.diskmanager.conf")
set(APP_EDEV_DIR "udev")
set(APP_UDEV_FILES "${APP_EDEV_DIR}/99-diskmanager.rules")
set(APP_USBADD_FILES "${APP_EDEV_DIR}/USBadd.sh")
set(APP_USBREMOVE_FILES "${APP_EDEV_DIR}/USBremove.sh")
set(APP_DEEPIN_DISKMANAGER_SERVICE_BIN "${APP_EDEV_DIR}/deepin-diskmanager-authenticateProxy")
set(APP_POLICY_FILE "com.deepin.pkexec.deepin-diskmanager.policy")

set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fPIE")
set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -fPIE")
set(CMAKE_EXE_LINKER_FLAGS "${CMAKE_EXE_LINKER_FLAGS} -pie")

# Find the library
find_package(PkgConfig REQUIRED)
find_package(Dtk${DTK_VERSION}Gui REQUIRED)
find_package(Qt${QT_VERSION_MAJOR} COMPONENTS
    Core
    Widgets
    DBus
REQUIRED)
find_package(PolkitQt${QT_VERSION_MAJOR}-1)

set(LINK_LIBS
    Qt${QT_VERSION_MAJOR}::Core
    Qt${QT_VERSION_MAJOR}::DBus
    Dtk${DTK_VERSION}::Core
    parted
    parted-fs-resize
    PolkitQt${QT_VERSION_MAJOR}-1::Agent
)

file(GLOB ALL_SOURCES
    "*.cpp"
    "./diskoperation/*.cpp"
    "./diskoperation/luksoperator/*.cpp"
    "./diskoperation/filesystems/*.cpp"
    "./diskoperation/lvmoperator/*.cpp")
file(GLOB ALL_HEADERS
    "*.h"
    "./diskoperation/*.h"
    "./diskoperation/luksoperator/*.h"
    "./diskoperation/filesystems/*.h"
    "./diskoperation/lvmoperator/*.h")

include_directories(../basestruct)
include_directories(../log)
include_directories(diskoperation)
link_directories(${PROJECT_BINARY_DIR})

add_executable(${PROJECT_NAME} ${ALL_SOURCES} ${ALL_HEADERS})
target_include_directories(${PROJECT_NAME} PUBLIC
    ${Qt6Gui_PRIVATE_INCLUDE_DIRS}
    ${PROJECT_BINARY_DIR}
)
#link_libraries(../basestruct/basestruct)
target_link_libraries(${PROJECT_NAME} ${LINK_LIBS} basestruct)
target_link_libraries(${PROJECT_NAME} ${LINK_LIBS} ddmlog)

find_program(POLICY_TS_CONV deepin-policy-ts-convert REQUIRED)
add_custom_target(APP_POLICY_FILE
    ALL
    COMMAND ${POLICY_TS_CONV} ts2policy ${CMAKE_CURRENT_SOURCE_DIR}/policy/${APP_POLICY_FILE} ${CMAKE_SOURCE_DIR}/application/translations/policy/ ${APP_POLICY_FILE}.tmp
    COMMAND mv ${APP_POLICY_FILE}.tmp ${APP_POLICY_FILE}
)

set(CMAKE_INSTALL_PREFIX /usr)

# Install files
install(TARGETS ${PROJECT_NAME} DESTINATION lib/deepin-daemon/)
install(FILES ${APP_SERVICE} DESTINATION share/dbus-1/system-services/)
install(FILES ${SYSTEMD_SERVICE} DESTINATION lib/systemd/system/)
install(FILES ${APP_CONFIG} DESTINATION share/dbus-1/system.d/)
install(PROGRAMS ${APP_USBADD_FILES} DESTINATION libexec/deepin-diskmanager/)
install(PROGRAMS ${APP_USBREMOVE_FILES} DESTINATION libexec/deepin-diskmanager/)
install(FILES ${APP_UDEV_FILES} DESTINATION lib/udev/rules.d/)
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/${APP_POLICY_FILE} DESTINATION share/polkit-1/actions)
install(PROGRAMS ${APP_DEEPIN_DISKMANAGER_SERVICE_BIN} DESTINATION bin/)

=== debian/changelog ===
deepin-diskmanager (6.0.22) unstable; urgency=medium

  * feat: Exclude removable devices when creating logical volume groups

 -- wangrong <wangrong@uniontech.com>  Thu, 13 Nov 2025 14:34:03 +0800

deepin-diskmanager (6.0.21) unstable; urgency=medium

  * fix: Fix non-reproducible builds
  * refactor: Service safety rectification
  * fix: Fix exfat formatting failure

 -- wangrong <wangrong@uniontech.com>  Thu, 30 Oct 2025 20:00:44 +0800

=== debian/control ===
Source: deepin-diskmanager
Section: admin
Priority: optional
Maintainer: deepin <packages@deepin.com>
Build-Depends:
 debhelper (>= 11),
 cmake,
 pkg-config,
 libc6-dev,
 qt6-tools-dev,
 qt6-base-dev,
 libx11-dev,
 libdtk6widget-dev,
 qt6-tools-dev-tools,
 qt6-base-private-dev,
 libparted-dev,
 libparted-fs-resize0,
 libpolkit-qt6-1-dev,
 libgtest-dev,
 libgmock-dev,
 deepin-gettext-tools
Standards-Version: 4.1.3

Package: deepin-diskmanager
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, smartmontools, exfat-fuse, pkexec
Description: Disk Utility is a disk management tool for creating, reorganizing and formatting partitions.
 Disk Utility is a disk management tool for disk.
